Bug 1026158 - Bug: XML elements should not be highlighted as the same colour as incorrect phrases
Bug: XML elements should not be highlighted as the same colour as incorrect p...
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.3
Assigned To: Matthew Casperson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 00:05 EST by Misha H. Ali
Modified: 2014-08-04 18:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 17:16:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CCMS UI Editor highlights XML (14.98 KB, image/png)
2013-11-04 00:05 EST, Misha H. Ali
no flags Details

  None (edit)
Description Misha H. Ali 2013-11-04 00:05:58 EST
Created attachment 818882 [details]
CCMS UI Editor highlights XML

Description of problem:

Currently, the CCMS editor does not seem to recognize unfamiliar words within a pair of brackets (for example <itemizedlist>) as XML elements and to be ignored for spellchecks.

See screenshot for an example.
Comment 1 Lee Newson 2013-11-04 00:12:26 EST
Purple highlighting doesn't refer to invalid syntax/words, it shows elements that have styling help from the ECS styling guide. The information for this can be displayed by right clicking on the highlighted element. Red and Yellow are the two colours that mean something is wrong (if I recall correctly).

See https://vimeo.com/71856372 for more information on the styling guide highlighting.
Comment 2 Lee Newson 2013-11-04 00:15:41 EST
Reopening this as purple is actually used for invalid phrases sorry Misha, so either the invalid phrase or the styling guide colour should be changed.
Comment 3 Matthew Casperson 2013-11-24 23:31:32 EST
Fixed in 201311251412

XML matches are now blue. The distinction is also now shown in the legend at the bottom of the screen.

This can be verified on the dev server.
Comment 4 Lee Newson 2013-11-24 23:43:21 EST
Verified that the colour for style guide matches are now blue.

Note You need to log in before you can comment on or make changes to this bug.